Bug 1061599 - (CVE-2013-7323, CVE-2014-1927, CVE-2014-1928, CVE-2014-1929) CVE-2013-7323 CVE-2014-1927 CVE-2014-1928 CVE-2014-1929 python-gnupg: incorrect fix against shell injection
CVE-2013-7323 CVE-2014-1927 CVE-2014-1928 CVE-2014-1929 python-gnupg: incorre...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140204,repor...
: Security
Depends On: 1061600
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-05 02:36 EST by Martin Prpic
Modified: 2015-07-31 03:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-25 17:11:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Martin Prpic 2014-02-05 02:36:08 EST
It was found [1] that the fix for improved shell quoting to guard against shell injection, released in version 0.3.5 [2] of python-gnupg, is not sufficient.

This issue has been reported upstream [3].

[1] http://seclists.org/oss-sec/2014/q1/243
[2] https://code.google.com/p/python-gnupg/
[3] https://code.google.com/p/python-gnupg/issues/detail?id=98#c4
Comment 1 Martin Prpic 2014-02-05 02:37:42 EST
Created python-gnupg tracking bugs for this issue:

Affects: fedora-all [bug 1061600]
Comment 2 Paul Wouters 2014-02-05 23:03:45 EST
updates pushed to updates-testing for f19,f20,el6 (and built in rawhide)
Comment 3 Murray McAllister 2014-02-10 00:50:22 EST
This was assigned multiple CVE numbers:

  CVE-2013-7323 Unrestricted use of unquoted strings in a shell,
                within version 0.3.4

  CVE-2014-1927 Erroneous assumptions about the usability of "
                characters within version 0.3.5, leading to attacks
                such as $( command substitution within a "-quoted
                string

  CVE-2014-1928 Erroneous insertion of a \ character within version
                0.3.5, leading to attacks involving command lists
                (such as lists separated by a ; character)

Full details: http://seclists.org/oss-sec/2014/q1/294
Comment 4 Murray McAllister 2014-02-13 02:16:24 EST
CVE-2014-1929 was assigned to:

""
Second, 0.3.5 and 0.3.6 have a series of differences in handling of
command-line arguments. This seems to be most likely a reaction to
Florian Weimer's observation of "you need to make sure that you
prevent option injection through positional arguments." Does anyone
believe that option injection was impossible in 0.3.5? If not, we will
make a fourth CVE assignment.
""

Reference: http://seclists.org/oss-sec/2014/q1/335

Note You need to log in before you can comment on or make changes to this bug.